#include <system.h>
#include "ZigBeelib.h"
#include "LCDlib_SPI.h"
#include "RTClib.h"
#include "ADlib.h"
#include "usartlib.h"
#include "EEPROMlib.h"
#include "motorlib.h"

//////////////////////////////////////////
//	Smart Windows Project				//
//										//
//	EEPROMlib.c							//
//   	Functions for data EEPROM		//
//////////////////////////////////////////


// Function Prototypes are in EEPROMlib.h

char EEPROM_read(char addH, char addL)
{
	eeadrh = 00000011b & addH; 	// Write the 2 MSB
	eeadr = addL;				// Write the rest of the address
	eecon1.7 = 0;				// Data memory mode
	eecon1.6 = 0;				// Access the EEPROM
	eecon1.0 = 1;				// Read mode
	char data;
	data = eedata;
	return data;
}

void EEPROM_write(char data,char addH, char addL)
{
	volatile bit writeIF@PIR2.4;
	
	eeadrh = 00000011b & addH; 	// Write the 2 MSB
	eeadr = addL;				// Write the rest of the address
	eedata = data;				// data to be written
	eecon1.7 = 0;				// Data memory mode
	eecon1.6 = 0;				// Access the EEPROM
	eecon1.2 = 1;				// Enables writing
	char temp;					// Record global interrupt state
	temp = intcon.7;
	intcon.7 = 0;				// Diable global interrupts
	
	eecon2 = 0x55;				// Write sequence
	eecon2 = 0x0AA;
	eecon1.1 = 1;				// Write start
	while(!writeIF);
	writeIF = 0;	
	
	intcon.7 = temp;			// Return interrupts to previous state
	eecon1.2 = 0; 				// Diables writing
	return;
}