#ifndef _LCDLIB_SPI_H_
#define _LCDLIB_SPI_H_
#include<system.h>

//////////////////////////////////////////
//	Smart Windows Project				//
//										//
//	LCDlib_SPI.h						//
//   	SPI function headers for LCD	//
//////////////////////////////////////////

// Function Prototypes
void SPILCD_init(void);						// Initializes the SPI LCD
void SPILCD_putc(char c);					// Puts a char to the SPI LCD
void SPILCD_putShort(unsigned short dec);	// Prints a short to the LCD
void SPILCD_printf(char c[]);				// Prints a string to the screen
void SPILCD_cmd(char length, char cmd[]);	// Sends a command to the LCD
void SPILCD_clear(void);					// Clears the screen and returns cursor
void SPILCD_newline(void);					// Moves the cursor to the beginning of line 2
void SPILCD_home (void);					// Moves the cursor to the beginning of line 1
void SPILCD_brightness(char brightness);	// Sets the LCD brightness
// Utilizes spi1_byte from ZigBeelib.c to send and receive spi bytes

#endif //_LCDLIB_SPI_H_