#ifndef _RTCLIB_H_
#define _RTCLIB_H_
#include<system.h>

//////////////////////////////////////////
//	Smart Windows Project				//
//										//
//	LCDlib_SPI.h						//
//   	SPI function headers for LCD	//
//////////////////////////////////////////

// Structures
struct time {
	char sec10;		// 10s place of seconds
	char sec1;		// 1s place of seconds
	char sec;		// Decimal form of seconds
	
	char min10;		// 10s place of minutes
	char min1;		// 1s place of minutes
	char min;		// Decimal form of minutes
	
	char hr10;		// 10s place of hours						
	char hr1;		// 1s place of hours
	char hr;		// Decimal form of hours
	
	char day;		// Day of the week (Sun=1)
	
	char date10;	// 10s place of date
	char date1;		// 1s place of the date
	char date;		// Decimal form of hours
	
	char mon10;		// 10s place of the month
	char mon1;		// 1s place of the month
	char mon;		// Decimal form of month
	
	char yr10;		// 10s place of the year
	char yr1;		// 1s place of the year
	char yr;		// Decimal form of year
	};


// Function Prototypes
void RTC_init(void); 						// Initializes the RTC
char RTC_reg(char add, char input);			// Writes or read a RTC register
void RTC_set(struct time *tp);				// Sets a time to the RTC
void RTC_get(struct time *tp);				// Gets the time from the RTC
void RTC_print_terminal(struct time *tp);	// Prints a time to the screen
void RTC_print_lcd(struct time *tp);		// Prints a time to the screen

#endif //_RTCLIB_H_