#include <system.h>
#include "ZigBeelib.h"
#include "LCDlib_SPI.h"
#include "RTClib.h"
#include "ADlib.h"
#include "usartlib.h"
#include "EEPROMlib.h"
#include "motorlib.h"

//////////////////////////////////////////
//	Smart Windows Project				//
//										//
//	motorlib.c							//
//   	Functions for motor control		//
//////////////////////////////////////////

// Function Prototypes in motorlib.h

// Global volatile bits
volatile bit open_cmd		@PORTA.4;
volatile bit open_limit		@PORTE.0;
volatile bit close_cmd		@PORTA.5;
volatile bit close_limit	@PORTE.1;
volatile bit middle_limit	@PORTE.2;


/////////////////////////////////////////////
//	Function: motor_init                         
//	Purpose: Initializes the ports for motors 
//	Input: Void            
//	Output: Void                       		       
/////////////////////////////////////////////
void motor_init(void){
	trisa.4 = 0;
	trisa.5 = 0;
	porta.4 = 0;
	porta.5 = 0;
	trise.0 = 1;
	trise.1 = 1;
	trise.2 = 1;
	open_cmd = 0;
	close_cmd = 0;
}

////////////////////////////
//	Function: motor_open                          
//	Purpose: Opens the window 
//	Input: Void            
//	Output: Void                       		       
////////////////////////////
void motor_open(void){
	open_cmd = 1;
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	while (!open_limit);
	open_cmd = 0;
}


/////////////////////////////
//	Function: motor_close                          
//	Purpose: Closes the window 
//	Input: Void            
//	Output: Void                       		       
/////////////////////////////
void motor_close(void){
	close_cmd = 1;
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	while (!close_limit);
	close_cmd = 0;	
}


///////////////////////////////
//	Function: motor_middle                          
//	Purpose: Middles the window 
//	Input: Void            
//	Output: Void                       		       
///////////////////////////////
void motor_middle(void){
	if (open_limit) {
		close_cmd = 1;
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		close_cmd = 0;
		}
	else if (close_limit) {
		open_cmd = 1;
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		open_cmd = 0;
		}
	else {
		motor_open();
		close_cmd = 1;
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		while (!middle_limit);
		close_cmd = 0;
		}
}