#ifndef _USARTLIB_H_
#define _USARTLIB_H_
#include<system.h>

//////////////////////////////////////////
//	Smart Windows Project				//
//										//
//	usartlib.h							//
//  USART function headers				//
//////////////////////////////////////////


// USART Function Prototypes
// See usartlib.c for actual functions

void usart_init(unsigned short rate); 		// Initializes the EUSART
void usart_putc(char c);					// Puts a character to the Terminal
char usart_getc(void);						// Gets a character from the Terminal and Echoes it
void usart_receive_enable(void);			// Enables the receiver for char finding
void usart_receive_disable(void);			// Disables the reciever
char usart_foundc(void);					// Handles a found character; driven by interrupt
void usart_printf(char c[]);				// Prints a character string to Terminal
void usart_putShort(unsigned short dec);	// Prints a decimal number to Terminal
unsigned short usart_getShort(void);		// Accepts a decimal number from the Terminal
char usart_getByte(void);					// Accepts a byte bit by bit from Terminal
void usart_putByte(char reg);				// Puts a byte in binary form to Terminal
#endif //_USARTLIB_H_
